Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222905 - should own %{_datadir}/desktop-directories
Summary: should own %{_datadir}/desktop-directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target 226364
TreeView+ depends on / blocked
 
Reported: 2007-01-16 20:25 UTC by Patrice Dumas
Modified: 2015-03-05 01:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 12:44:00 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2007-01-16 20:25:07 UTC
Description of problem:

$ rpm -qf /usr/share/desktop-directories/
kdebase-3.5.5-0.4.fc6
gnome-menus-2.17.2-2.fc7

I think this directory should better be owned by redhat-menus with
a dep from kdebase on redhat-menus (gnome-menus already depends
on redhat-menus).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2007-02-02 06:31:29 UTC
I think it should be owned by gnome-menus, and redhat-menus should vanish

Comment 2 Patrice Dumas 2007-02-02 11:44:34 UTC
In that case gnome-menus should be changed to have a subpackage
with less dependencies which owns the stuff needed by freedesktop
but no gnome stuff. This kind of package is needed by the desktops
or window managers (like icewm, fluxbox and so on) which uses the 
freedesktop menus and may need what is in that directory and also
some icons from the default theme, but shouldn't depend on gnome.

Comment 3 Matthias Clasen 2007-02-05 17:51:11 UTC
maybe we need to consider some kind of filesystem-freedesktop package.

Comment 4 Patrice Dumas 2007-02-05 18:31:04 UTC
Yeah, that would be a good idea, but maybe not only for
freedesktop stuff but also with desktop things like
/usr/share/omf/
/usr/share/icons/
/usr/share/gtk-doc/
/usr/share/desktop-directories/


Comment 5 Ray Strode [halfline] 2007-04-03 20:40:40 UTC
well we already have a number of xdg things in filesystem, this one probably
belongs there too.

Comment 6 Phil Knirsch 2007-04-17 12:44:00 UTC
Added all to latest filesystem package. Subpackaging filesystem this late for
FC7 isn't something i'd like to do, maybe for FC8.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.